Bug 248733 - graphics/exiv2: add NLS option
Summary: graphics/exiv2: add NLS option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-08-18 21:07 UTC by Andrew Romanenko
Modified: 2020-09-26 12:19 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback+


Attachments
exiv2.patch (2.79 KB, patch)
2020-08-18 21:07 UTC, Andrew Romanenko
no flags Details | Diff
exiv2.patch (2.59 KB, patch)
2020-08-24 15:19 UTC, Andrew Romanenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Romanenko 2020-08-18 21:07:21 UTC
Created attachment 217318 [details]
exiv2.patch

add NLS option, enabled by default.
also removed forced linking with libintl.
build via poudriere ok (12.1-STABLE/amd64)
Comment 1 daniel.engberg.lists 2020-08-23 20:44:37 UTC
Hi,

Good idea, a few things I noticed and/or have questions about.

No need to bump PORTREVISION as there's no change to the package.

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html - 5.13.1.3
--> L33 unnecessary

Have you compiled both with and without NLS support and verified that "make test" passes? Have you verified that LDFLAGS variable isn't needed?

Best regards,
Daniel
Comment 2 Andrew Romanenko 2020-08-24 15:19:20 UTC
Created attachment 217492 [details]
exiv2.patch

build OK with- and without NLS

forced linking with -lintl was needed for gcc-archs
https://svnweb.freebsd.org/ports/head/graphics/exiv2/Makefile?revision=485731&view=markup
Comment 3 daniel.engberg.lists 2020-08-25 18:28:47 UTC
We still do have archs that uses GCC (legacy)
Comment 4 commit-hook freebsd_committer 2020-09-26 12:10:08 UTC
A commit references this bug:

Author: riggs
Date: Sat Sep 26 12:09:37 UTC 2020
New revision: 550175
URL: https://svnweb.freebsd.org/changeset/ports/550175

Log:
  Add NLS option.

  PR:		248733
  Submitted by:	melanhit@gmail.com
  Reviewed by:	daniel.engberg.lists@pyret.net, riggs

Changes:
  head/graphics/exiv2/Makefile
  head/graphics/exiv2/pkg-plist
Comment 5 Thomas Zander freebsd_committer 2020-09-26 12:19:12 UTC
Committed a slight modification that (I think) will keep the legacy-gcc archs happy for now.